Description

Which commands should appear in the list produced when asking the manual for all cocoa commands?

At the moment the list does seem to be incomplete.

History

#1 - 19 Jan 2017 12:55 - John Abbott

Here are some commands which do not appear in the list:

define

describe

package

print and println and print...on

protect (and unprotect)

quit

source and sourceregion

use

 

I have already added define (but not yet checked in).

#2 - 19 Jan 2017 14:44 - John Abbott

This is issue 1000!  What a shame it is such a boring matter... well, I suppose most of the issues are rather dull :-/

#3 - 27 Jan 2017 07:51 - Anna Maria Bigatti

- % Done changed from 0 to 10

(I thought I had already replied on this one, strange...)

As is (think of the pdf version), the manual only knows of what's in the manual.

We should add at least "to do" entries in the manual for the missing commands.
#4 - 27 Jan 2017 15:50 - John Abbott

Is it possible to make links/references from normal manual pages to/from the page about CoCoA commands?

I note that there is a page with title "An Overview of CoCoA Programming"; that page should refer to this one (if possible).

#5 - 27 Apr 2017 15:09 - John Abbott

- Status changed from New to In Progress

- Priority changed from Normal to High

- Target version changed from CoCoA-5.2.0 spring 2017 to CoCoA-5.2.2

Postponing (because it will take some time), but also increasing priority.

#6 - 11 Dec 2017 19:10 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 10 to 90

John Abbott wrote:

Is it possible to make links/references from normal manual pages to/from the page about CoCoA commands?

I note that there is a page with title "An Overview of CoCoA Programming"; that page should refer to this one (if possible).

 

I added the link.

#7 - 11 Dec 2017 19:10 - Anna Maria Bigatti

- Estimated time set to 2.01 h

#8 - 13 Dec 2017 14:23 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

added in the entry for "all cocoa command" the search keys  for, foreach, if, then, ....

so, when looking for one of them, the search "? All CoCoA commands" is suggested.

close this issue for now?

#9 - 15 Dec 2017 16:20 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
